"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBuildEnvironment = (envVars) => {
    const buildenv = {};
    for (let i = 0, len = envVars.length; i < len; i++) {
        buildenv[envVars[i].name] = envVars[i].value;
    }
    return buildenv;
};
exports.isFailedBuild = (buildStatus) => {
    return (buildStatus !== 'IN_PROGRESS' &&
        buildStatus !== 'SUCCEEDED' &&
        buildStatus !== 'STOPPED');
};
function getBuildJobUrl(buildArn) {
    const buildId = buildArn.split('/').pop();
    return `https://console.aws.amazon.com/codebuild/home?region=${process.env.AWS_REGION}#/builds/${buildId}/view/new`;
}
exports.getBuildJobUrl = getBuildJobUrl;
