"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CodeCommit = require("aws-sdk/clients/codecommit");
const common_1 = require("./common");
const codecommit = new CodeCommit();
exports.handler = (event = {}) => __awaiter(void 0, void 0, void 0, function* () {
    const buildenv = common_1.getBuildEnvironment(event.detail['additional-information'].environment['environment-variables']);
    if (!buildenv.CODECOMMIT_PULL_REQUEST_ID) {
        throw new Error("Not a pull request build");
    }
    return codecommit.getPullRequest({
        pullRequestId: buildenv.CODECOMMIT_PULL_REQUEST_ID,
    }).promise()
        .then((pr) => {
        const revisionId = pr.pullRequest.revisionId;
        return codecommit.updatePullRequestApprovalState({
            approvalState: common_1.isFailedBuild(event.detail['build-status']) ?
                'REVOKE' : 'APPROVE',
            pullRequestId: buildenv.CODECOMMIT_PULL_REQUEST_ID,
            revisionId
        }).promise();
    });
});
