"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CodeBuild = require("aws-sdk/clients/codebuild");
const codebuild = new CodeBuild();
exports.handler = (event = {}) => __awaiter(void 0, void 0, void 0, function* () {
    return codebuild.startBuild({
        projectName: process.env.CODEBUILD_PROJECT_NAME,
        sourceVersion: event.detail.sourceCommit,
        environmentVariablesOverride: [
            {
                name: 'CODECOMMIT_REPOSITORY_NAME',
                value: event.detail.repositoryNames[0],
                type: 'PLAINTEXT'
            },
            {
                name: 'CODECOMMIT_PULL_REQUEST_ID',
                value: event.detail.pullRequestId,
                type: 'PLAINTEXT'
            },
            {
                name: 'CODECOMMIT_SOURCE_COMMIT_ID',
                value: event.detail.sourceCommit,
                type: 'PLAINTEXT'
            },
            {
                name: 'CODECOMMIT_DESTINATION_COMMIT_ID',
                value: event.detail.destinationCommit,
                type: 'PLAINTEXT'
            }
        ]
    }).promise();
});
